---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Delete a flow

Deletes a flow by its unique flow ID.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "pathbot-flows",
      "x-displayName": "Pathbot - Flows",
      "description": "Endpoints for manage pathbot flows"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/pathbot/{appId}/flows/{flowId}": {
      "parameters": [
        {
          "name": "appId",
          "in": "path",
          "required": true,
          "description": "The unique identifier for the new application.",
          "schema": {
            "type": "integer"
          }
        },
        {
          "name": "flowId",
          "in": "path",
          "required": true,
          "description": "The unique identifier for the new flow.",
          "schema": {
            "type": "integer"
          }
        }
      ],
      "delete": {
        "tags": [
          "pathbot-flows"
        ],
        "summary": "Delete a flow",
        "description": "Deletes a flow by its unique flow ID.",
        "x-eov-operation-handler": "flowController",
        "x-gateway-endpoint": "pathbotService",
        "x-gateway-check-permission": {
          "account-features": [
            "PATHBOT_ENABLED"
          ]
        },
        "operationId": "deleteFlow",
        "responses": {
          "200": {
            "$ref": "#/components/responses/Ok"
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "500": {
            "$ref": "#/components/responses/Error"
          },
          "default": {
            "$ref": "#/components/responses/Default"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "responses": {
      "Ok": {
        "description": "The request has succeeded. The response contains the status code and a message indicating success.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "The HTTP status code indicating a successful request.",
                  "example": 200
                },
                "message": {
                  "type": "string",
                  "description": "A brief message describing the result of the request.",
                  "example": "OK"
                }
              },
              "required": [
                "statusCode",
                "message"
              ],
              "additionalProperties": false
            }
          }
        }
      },
      "BadRequest": {
        "description": "The request could not be understood or was missing required parameters.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "The HTTP status code indicating a bad request.",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "A brief message describing the reason for the bad request.",
                  "example": "Bad Request"
                },
                "errorCode": {
                  "type": "string",
                  "description": "A specific error code for the bad request."
                }
              },
              "required": [
                "statusCode",
                "message",
                "errorCode"
              ],
              "additionalProperties": false
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Authentication failed or user does not have permissions for the desired action.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "The HTTP status code indicating an unauthorized request.",
                  "example": 401
                },
                "message": {
                  "type": "string",
                  "description": "A brief message indicating that authentication is required and has failed or has not yet been provided.",
                  "example": "Unauthorized"
                },
                "errorCode": {
                  "type": "string",
                  "description": "A specific error code for the unauthorized request."
                }
              },
              "required": [
                "statusCode",
                "message",
                "errorCode"
              ],
              "additionalProperties": false
            }
          }
        }
      },
      "Forbidden": {
        "description": "The server understood the request, but refuses to authorize it.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "The HTTP status code indicating that the server understood the request but refuses to authorize it.",
                  "example": 403
                },
                "message": {
                  "type": "string",
                  "description": "A brief message indicating that the server refuses to authorize the request.",
                  "example": "Forbidden"
                },
                "errorCode": {
                  "type": "string",
                  "description": "A specific error code for the forbidden request."
                }
              },
              "required": [
                "statusCode",
                "message",
                "errorCode"
              ],
              "additionalProperties": false
            }
          }
        }
      },
      "NotFound": {
        "description": "The requested resource could not be found.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "The HTTP status code indicating that the requested resource could not be found.",
                  "example": 404
                },
                "message": {
                  "type": "string",
                  "description": "A brief message indicating that the requested resource could not be found.",
                  "example": "Not found"
                },
                "errorCode": {
                  "type": "string",
                  "description": "A specific error code for the not found request."
                }
              },
              "required": [
                "statusCode",
                "message",
                "errorCode"
              ],
              "additionalProperties": false
            }
          }
        }
      },
      "Error": {
        "description": "The server encountered an unexpected condition that prevented it from fulfilling the request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "The HTTP status code indicating an internal server error.",
                  "example": 500
                },
                "message": {
                  "type": "string",
                  "description": "A brief message indicating that the server encountered an unexpected condition that prevented it from fulfilling the request.",
                  "example": "Internal Server Error"
                }
              },
              "required": [
                "statusCode",
                "message"
              ],
              "additionalProperties": false
            }
          }
        }
      },
      "Default": {
        "description": "An unexpected error occurred.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "The HTTP status code indicating an error.",
                  "example": 500
                },
                "message": {
                  "type": "string",
                  "description": "A brief message describing the error.",
                  "example": "An unexpected error occurred."
                }
              },
              "required": [
                "statusCode",
                "message"
              ],
              "additionalProperties": false
            }
          }
        }
      }
    }
  }
}
```